<!doctype html>
<html>
<head>
    <title>DigiNotar Damage Disclosure | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="DigiNotar Damage Disclosure | Tor Project">
    <meta property="og:description" content="About an hour ago I was contacted by the Dutch Government with more details about the DigiNotar...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/diginotar-damage-disclosure/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        DigiNotar Damage Disclosure
      </h1>
    <p class="meta">by ioerror | September 4, 2011</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>About an hour ago I was contacted by the Dutch Government with more details about the <a href="https://blog.torproject.org/blog/diginotar-debacle-and-what-you-should-do-about-it" rel="nofollow">DigiNotar Debacle</a>. It seems that they're doing a great job keeping on top of things and doing the job that DigiNotar should've done in July. They sent a spreadsheet with a list of 531 entries on the currently known bad DigiNotar related certificates.</p>

<p>The list isn't pretty and I've decided that in the interest of defenders everywhere without special connections, I'm going to disclose it. The people that I have spoken with in the Dutch Government agree with this course of action.</p>

<p>This disclosure will absolutely not help any attacker as it does not contain the raw certificates; it is merely metadata about the certificates that were issued. It includes who we should not trust in the future going forward and it shows what is missing at the moment. This is an incomplete list because DigiNotar's audit trail is incomplete.</p>

<p>This is the list of CA roots that should probably never be trusted again:</p>

<p> DigiNotar Cyber CA<br />
 DigiNotar Extended Validation CA<br />
 DigiNotar Public CA 2025<br />
 DigiNotar Public CA - G2<br />
 Koninklijke Notariele Beroepsorganisatie CA<br />
 Stichting TTP Infos CA</p>

<p>The most egregious certs issued were for *.*.com and *.*.org while certificates for Windows Update and certificates for other hosts are of limited harm by comparison. The attackers also issued certificates in the names of other certificate authorities such as "VeriSign Root CA" and "Thawte Root CA" as we witnessed with <a href="https://blog.torproject.org/blog/detecting-certificate-authority-compromises-and-web-browser-collusion" rel="nofollow">ComodoGate</a>, although we cannot determine whether they succeeded in creating any intermediate CA certs. That's really saying something about the amount of damage a single compromised CA might inflict with poor security practices and regular internet luck.</p>

<p>Of particular note is this certificate:<br />
CN=*.RamzShekaneBozorg.com,SN=PK000229200006593,OU=Sare Toro Ham Mishkanam,L=Tehran,O=Hameye Ramzaro Mishkanam,C=IR</p>

<p>The text here appears to be be an entry like any other but it is infact a calling card from a Farsi speaker. RamzShekaneBozorg.com is not a valid domain as of this writing.</p>

<p>Thanks to an anonymous Farsi speaker, I now understand that the above certificate is actually a comment to anyone who bothers to read between the lines:<br />
"RamzShekaneBozorg" is "great cracker"<br />
"Hameyeh Ramzaro Mishkanam" translates to "I will crack all encryption"<br />
"Sare Toro Ham Mishkanam" translates to "i hate/break your head"</p>

<p>Without any further delay, I've uploaded  <a href="https://blog.torproject.org/static/documents/rogue-certs-2011-09-04.xlsx" rel="nofollow">the original spreadsheet</a> and  <a href="https://blog.torproject.org/static/documents/rogue-certs-2011-09-04.csv" rel="nofollow">a CSV text file</a> for people who don't trust spreadsheets. The information contained in both files should be the same. Hopefully this information will help people to mitigate certain harm from the <a href="https://blog.torproject.org/blog/diginotar-debacle-and-what-you-should-do-about-it" rel="nofollow">DigiNotar Debacle</a>.</p>

    </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-11384"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11384" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11384">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11384" class="permalink" rel="bookmark">http://pastebin.com/qrbH3ezi</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://pastebin.com/qrbH3ezi" rel="nofollow">http://pastebin.com/qrbH3ezi</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11385"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11385" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11385">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11385" class="permalink" rel="bookmark">We&#039;ve seen the phrase &quot;Janam</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We've seen the phrase "Janam Fadaye Rahbar" before -- back during Comodogate, the purported hacker explained it on pastebin as translating to "I will sacrifice my life for my leader."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11387" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11387" class="permalink" rel="bookmark">Did you get the expiration</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Did you get the expiration dates?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11419"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11419" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ioerror
  </article>
    <div class="comment-header">
      <p class="comment__submitted">ioerror said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11387" class="permalink" rel="bookmark">Did you get the expiration</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11419">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11419" class="permalink" rel="bookmark">Nope. I&#039;ve published</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nope. I've published everything and it does not appear that they included expiration dates.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11388"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11388" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11388">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11388" class="permalink" rel="bookmark">Ok, first question: who TF</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ok, first question: who TF are you? </p>
<p>Second question, what should a simple computer user like me do with the 6 CA roots you mentioned. I opened the Keychain Access program on my Mac and there is only a DigiNotar Root CA, none of the ones you listed here.</p>
<p>Thanks for clarifying!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11438"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11438" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11388" class="permalink" rel="bookmark">Ok, first question: who TF</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11438">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11438" class="permalink" rel="bookmark">Anonymous and other MAC</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Anonymous and other MAC users,</p>
<p>It appears there is a bug in the Apple Mac OS in that disabaling a root cert does not deiable any EV certs issued under it...</p>
<p>So take care and actually examine all EV certs you get to see.</p>
<p>Regards,</p>
<p>   Clive Robinson.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11389"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11389" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11389">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11389" class="permalink" rel="bookmark">Stupid Ferrari jobs? Israeli</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Stupid Ferrari jobs? Israeli Lizard?</p>
<p>"2011-07-10 21:36:31","9d69f4c1849361c63933f08de899b145","DigiNotar Extended Validation CA","unknown","unknown","*.azadegi.com","CN=twitter.com,SN=PK000229200018,OU=DN: CN=*.azadegi.com,TITLE=Shoghale Ahmagh Farari,SN=PK000229200017,OU=Israeli Lizard,L=Mazar sharif,O=Sage Pasokhteye Mozdur,C=IL,L=Mazar sharif,O=Sage Pasokhteye Mozdur,C=IL"</p>
<p>Cheers</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11392"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11392" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11392">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11392" class="permalink" rel="bookmark">&quot;Anonymous said: ... who TF</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"Anonymous said: ... who TF are you?" Lol.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11394"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11394" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11394">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11394" class="permalink" rel="bookmark">Odd that SN is the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Odd that SN is the abbreviated form of the 'surname' attribute (rather than serial number). has DigiNotar being abusing it, or is it more evidence of their failings?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11395"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11395" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11395">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11395" class="permalink" rel="bookmark">Sahebeh Donya =&gt; Possessor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sahebeh Donya =&gt; Possessor of the World e.g. God.<br />
Sarbazeh Gomnam =&gt; Unknown Soldier<br />
Elme Bikaran =&gt; Science/Knowledge of the idle/unemployed<br />
Daneshmande Bi nazir =&gt; Peerless Scientist<br />
RamzShekaneBozorg  =&gt; Great Cryptanalyst<br />
Toro Ham Mishkanam =&gt; I will breakTOR too<br />
Hameye Ramzaro Mishkanam =&gt; Will break all cyphers</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11396"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11396" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11396">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11396" class="permalink" rel="bookmark">Sahebeh Donya =&gt; Possessor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sahebeh Donya =&gt; Possessor of the World e.g. God.<br />
Sarbazeh Gomnam =&gt; Unknown Soldier<br />
Elme Bikaran =&gt; Science/Knowledge of the idle/unemployed<br />
Daneshmande Bi nazir =&gt; Peerless Scientist<br />
RamzShekaneBozorg  =&gt; Great Cryptanalyst<br />
Toro Ham Mishkanam =&gt; I will breakTOR too<br />
Hameye Ramzaro Mishkanam =&gt; Will break all cyphers</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11397"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11397" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11397">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11397" class="permalink" rel="bookmark">سلام این سایت</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>سلام این سایت ادعا کرده که پرتوکول اساس ال تو نیز هک شده است ایا شما تایید میکنید؟<br />
– در خلال جولای 2011 چند ده گواهینامه جعلی دیگر توسط سارقین جمهوری اسلامی ایران صادر می شود. این گواهینامه ها شامل افزونه های موزیلا، پروژه Tor، یاهو و ورد پرس هستند.<br />
4-  18 جولای 2011، 6 گواهینامه جعلی برای پروژه Tor صادر می شوند.<br />
5 – 19 جولای 2011 Diginotar بالاخره متوجه می شود و شماری از این گواهینامه ها را ظاهرا ابطال می کند، شمار بسیار زیادی از گواهینامه های جعلی همچنان در دست سارقین باقی است.<br />
6 -  ساعت 06:56 – 20 جولای 2011، برای بار دوم شش گواهینامه جعلی دیگر برای پروژه Tor مورد استفاده قرار می گیرد.<br />
This site also claimed that I hacked my ssl is based Prtvkvl you're OK?<br />
During July 2011 a few dozen other fake certificates are issued by looters Iran. These certificates include extensions, Mozilla project, Tor, Yahoo and WordPress are.<br />
4-18 July 2011, 6, fake certificates are issued for the Tor Project.</p>
<p>6 - 06:56 - 20 July 2011, for the second time in six fake certificates are used for the Tor Project.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11398"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11398" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11398">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11398" class="permalink" rel="bookmark">What I dont quite get is how</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What I dont quite get is how somebody could use these certs. If i'm going to anything *.google.com than I see a Google cert. If I go to iam.ahacker.com and it shows up ask me if i want to trust the cert for the url *.google.com even tho It's mismatched than I know something is up. Aside from a modified host file, how would anybody be able to actually do any damage to somebody? Or is that the whole point... that people can get really screwed with a modified host file? Just a junior nerd who is trying to make sense of this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11401"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11401" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11398" class="permalink" rel="bookmark">What I dont quite get is how</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11401">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11401" class="permalink" rel="bookmark">In country like IRAN the gov</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In country like IRAN the gov controls DNS, so without DNSSEC they decide what's the IP for google.com. Even with DNSSEC or knowing the IP is the ISP that decides what to deliver to you. That's it, without ssl and good CA the bad governments can control all the Internet. See also WiFi cracking and MITM attacks, btw</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11402"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11402" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11398" class="permalink" rel="bookmark">What I dont quite get is how</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11402">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11402" class="permalink" rel="bookmark">If someone upstream of you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If someone upstream of you (anyone who controls one of the computers routing the connection between you and Google) gets hold of a *.google.com certificate, they can pretend to be Google to you (or even pass your traffic through to the real Google while eavesdropping on the connection). That's the big worry with these things -- that an ISP or government either intentionally meddles with people's connections or is hacked by someone else to do so.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11405"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11405" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11398" class="permalink" rel="bookmark">What I dont quite get is how</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11405">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11405" class="permalink" rel="bookmark">dns poisoning</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>dns poisoning</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11446"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11446" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11405" class="permalink" rel="bookmark">dns poisoning</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11446">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11446" class="permalink" rel="bookmark">Not DNS poisoning per se</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not DNS poisoning per se (although it can be used to route you through to a transparant proxy).  Mostly in the less open countries they routinely proxy Internet traffic anyhow so it is not needed.</p>
<p>For anyone that is interested:</p>
<p>Man in the middle attacks allow the traffic through to the real host by proxying the ssl negotiation in the middle.  The bad guys have the phoney cert, someone builds an SSL connection to you that is false.  The bad guy then build a real connection (using the real cert) to google.com.  In the middle, the traffic is now not encrypted and you can eavesdrop on the persons communications without them knowing that it is occuring because, your computer 'trusts' the phony certificate.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11408"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11408" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11398" class="permalink" rel="bookmark">What I dont quite get is how</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11408">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11408" class="permalink" rel="bookmark">If a government could</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If a government could convince an ISP to insert specific DNS records into their service, thereby redirecting anyone who tried to visit those sites, with a compromised certificate situation like the one we're facing, you'd never know.  They could intercept your traffic, making note of your username and password (since you're talking to their servers instead of the real ones) and then forward all of your requests back to you, without you ever knowing.  Your computer would trust the certificate that the government's servers gave you because they in turn were issued by a CA that our computers trusted.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11435"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11435" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11408" class="permalink" rel="bookmark">If a government could</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11435">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11435" class="permalink" rel="bookmark">Bullshit!
Your browser keeps</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Bullshit!</p>
<p>Your browser keeps a list of root certifiction authorities (CA) it will trust. So you DO need both: Reedirection to your server AND a certificate that is trusted by a root CA..</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11497"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11497" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 07, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11435" class="permalink" rel="bookmark">Bullshit!
Your browser keeps</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11497">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11497" class="permalink" rel="bookmark">That&#039;s what he said</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's what he said</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11567"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11567" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 10, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11435" class="permalink" rel="bookmark">Bullshit!
Your browser keeps</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11567">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11567" class="permalink" rel="bookmark">Right. And DigiNotar is one</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Right. And DigiNotar is one of those trusted root CAs, which is why these rogue certs can be maliciously used by the Iranian government.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-11404"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11404" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11404">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11404" class="permalink" rel="bookmark">The point is that if someone</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The point is that if someone uses one of these DigiNotar-signed certificates and you haven't removed the root from your browser, you won't get a mismatched certificate warning - it'll just work, with no errors, showing it as a valid cert for the site.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11406"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11406" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11406">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11406" class="permalink" rel="bookmark">I have translated a few</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have translated a few expressions again:</p>
<p>"2011-07-10 22:05:19","6682ef6ae92d5f8e19e323bdcef6d4f7","DigiNotar Extended Validation CA","unknown","unknown","*.SahebeDonyayeDigital.com","CN=*.SahebeDonyayeDigital.com,SN=PK000229200006592,OU=Elme Bikaran,L=Tehran,O=Daneshmande Bi nazir,C=IR"</p>
<p>Sahebe Donyaye Digital: Owner of Digital Word (Saheb means owner)<br />
Elme Bikaran: Infinite Science<br />
Daneshmande Bi nazir: Unique Scientist</p>
<p>"2011-07-10 22:08:31","585a8ee9017a326d21bd19dce9d9777d","DigiNotar Extended Validation CA","unknown","unknown","*.RamzShekaneBozorg.com","CN=*.RamzShekaneBozorg.com,SN=PK000229200006593,OU=Sare Toro Ham Mishkanam,L=Tehran,O=Hameye Ramzaro Mishkanam,C=IR"</p>
<p>see <a href="https://blog.torproject.org/blog/diginotar-damage-disclosure" rel="nofollow">https://blog.torproject.org/blog/diginotar-damage-disclosure</a> for translation</p>
<p>"2011-07-10 22:11:59","aa239bf9fe84b25444be0799f40c9f67","DigiNotar Extended Validation CA","unknown","unknown","*.JanamFadayeRahbar.com","CN=*.JanamFadayeRahbar.com,SN=PK000229200006594,OU=Sarbaze Gomnam,L=Tehran,O=Ke Jano Janan Toyi,C=IR"</p>
<p>Janam Fadaye Rahbar: I sacrifice my life leader.<br />
Sarbaze Gomnam: Sarbaze anonymous/unknown (Sarbaze means soldier in Persian; Gomnam means anonymous = anonymous soldier)<br />
Ke Jano Janan Toyi: The inner Jano Janan ("Ke Jano Janan Toyi"= "because you are the soul of souls" this is mystical language used in fascist context; the speaker is talking to a great fascist leader)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11411"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11411" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11411">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11411" class="permalink" rel="bookmark">I&#039;ve just marked every root</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've just marked every root certificate in my system as "don't trust".  There were 183 of them.  40% didn't have correct or complete metadata. 30% used MD2 or MD5 hashing.  60% expire more than 10 years from now.  20% were from risky governments (not counting the US which had several different roots) or organizations whose official business name includes a TLD, and one, amusingly enough, had a name that outright implied being able to pay them off.</p>
<p>I'll independently verify any certificate I need to use, and trust them at the leaf level (vs. trusting roots or intermediaries).  A tiny bit of inconvenience to prevent:</p>
<ul>
<li>Compromised roots from generating certificates I won't notice.</li>
<li>MITM live certificate replacement (MD2/MD5 is easy to get collisions on for this purpose).</li>
<li>Malicious governments and corporations from eavesdropping.  (Okay, that's a little tin-foil-hat, but still.)</li>
</ul>
<p>Ask yourself not "why shouldn't I trust these certs?" ask instead, "what reason do I have to trust these certs in the first place?"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11414"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11414" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11411" class="permalink" rel="bookmark">I&#039;ve just marked every root</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11414">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11414" class="permalink" rel="bookmark">I assume you have great</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I assume you have great tinfoil-hatmaking skills.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11417"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11417" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11411" class="permalink" rel="bookmark">I&#039;ve just marked every root</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11417">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11417" class="permalink" rel="bookmark">But how will you know you&#039;re</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>But how will you know you're communicating with the correct site the first time when you will choose to trust the certificate......</p>
<p>The only way is to trust you DNS provider, which, in a sense, only shifts the problem...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11442"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11442" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11411" class="permalink" rel="bookmark">I&#039;ve just marked every root</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11442">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11442" class="permalink" rel="bookmark">Not actually as bad an idea</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not actually as bad an idea as it looks, providing they can verify that the cert is signed by who it says it is, this means that the user is trusting the leaf only, with all the same trust chain as before, just with a default deny instead of a default allow policy. All in all not so tinfoil, since we know that a lot of registrars have acted badly, and they have a perverse incentive to issue whatever they are asked for, this is probably just  a sane response.</p>
<p>p.s. How many of you have revoked CNNIC lately? ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11412"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11412" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 04, 2011</p>
    </div>
    <a href="#comment-11412">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11412" class="permalink" rel="bookmark">The hash used for the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The hash used for the signature on the root cert is pretty meaningless. Those certificates are trusted because they're embedded in the browser, not because their self-signature checks out and can't be forged.</p>
<p>Weak hashes are definitely a problem for every other certificate, just not for roots.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11422"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11422" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
    <a href="#comment-11422">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11422" class="permalink" rel="bookmark">What is right? what is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is right? what is wrong? r new downloads  better or old? User from Iran.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11431"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11431" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
    <a href="#comment-11431">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11431" class="permalink" rel="bookmark">For the  &quot;man in the street&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For the  "man in the street" (in democratic countries) they will trust what they are told to trust (via the media).</p>
<p>Look at the way  Diginotar and Vasco try to minimalise things (even in their latest communications), and the government is only communicating passively via websites when they should broadcast on radio and TV and tell everyone how risky this is !!! There is a built in mechanism into browsers to automatically trust sites and when it is discovered this trust isn't valid anymore we try to keep it hidden as much as possible. This is CRIMINAL and any damage arising after today could probably be claimed at the companies and government for not issueing strong warnings to the public !</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11448"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11448" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 05, 2011</p>
    </div>
    <a href="#comment-11448">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11448" class="permalink" rel="bookmark">Investigative report on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Investigative report on diginotar debacle <a href="http://www.rijksoverheid.nl/onderwerpen/cybercrime/documenten-en-publicaties/rapporten/2011/09/05/fox-it-operation-black-tulip.html" rel="nofollow">http://www.rijksoverheid.nl/onderwerpen/cybercrime/documenten-en-public…</a> (Dutch government site)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11470"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11470" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 06, 2011</p>
    </div>
    <a href="#comment-11470">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11470" class="permalink" rel="bookmark">hello,
i downloaded tor  ---</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello,<br />
i downloaded tor  ---  tor-browser-1.3.24_en-US --- in  july 13 from Iran, and now I want to know how I can find that if it has been an original version or a hacked one bye Iran governments?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11486"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11486" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 06, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11470" class="permalink" rel="bookmark">hello,
i downloaded tor  ---</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11486">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11486" class="permalink" rel="bookmark">Unrelated to the blog post,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Unrelated to the blog post, but anyway. Check the digital certificate with the file. And make sure it is signed by not-yet-known-to-have-been-hacked CA (i.e Commodo, DigiNotar).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11499"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11499" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 07, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11470" class="permalink" rel="bookmark">hello,
i downloaded tor  ---</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11499">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11499" class="permalink" rel="bookmark">Unfortunately there is no</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Unfortunately there is no perfect way to tell. That is quite an old version of the Tor browser bundle and so I cannot find the signature for the download anywhere on the torproject site. The current version of the browser bundle is 2.2.32-3 . The signature for this version follows. There really is nothing stopping the government from replacing the files including the signature, and the one I posted here. So if you really want to be safe the only way is to compile from source and look for suspicious code yourself.</p>
<p>-----BEGIN PGP SIGNATURE-----<br />
Version: GnuPG/MacGPG2 v2.0.16 (Darwin)</p>
<p>iQEcBAABAgAGBQJOZEDSAAoJEEFvBhBj/uZZX/IIAMg30VXYk2JRXDVG9s9u45bd<br />
b7dygbNdxVRCXXn7QtQy0SgdxLpGGmttdBOrTvAmRwcHxL0+WsyRX/NA9O30eO+V<br />
EQKd2YDs7zIE6ooJKwopuJe744JtsMS/rVibqKmaD23XT5MdGs2QdU43SzV0RBaD<br />
PJNGnMbhYZ0fKKbUg73dj59uUG7dpriKFpSdtMYxqA4Rh+OaolE8O+FFtSL8rcjr<br />
Dvag3m7fsZbQvJOKDLSauMnDQCmX8+Fy6znI7s892erAqlx1UKWdy2ytSJwtGb5F<br />
6RY5JwpzgqP9XEjsQhCZ/bUcPIhbiIVcqD41tR1RR9/j4x+fXwWyzccbI9Vu2B8=<br />
=hjvZ<br />
-----END PGP SIGNATURE-----</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11501"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11501" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 07, 2011</p>
    </div>
    <a href="#comment-11501">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11501" class="permalink" rel="bookmark">Whenever I open Gmail using</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Whenever I open Gmail using the Opera browser, it says the connection is not secure and something is wrong with it (at least for more than a year). It refuses to show the "secure connection" mark. It says "The connection is not secure... The server attempted to apply security measures but failed."</p>
<p>Using Firefox (by checking the SSL certificate) I see it is running by "Unknown" and verified by "Thawte Consulting LTD". But in the Excel file provided by DigiNotar, I saw the certificates for Thawte are too faked. Can anybody here tell me whether this Thawte is a fake CA or not?</p>
<p>Can anybody tell me is Opera safer than Chrome? Opera too reported some errors with these fake CAs, even before Chrome. But no one suggests Opera.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11507"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11507" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 07, 2011</p>
    </div>
    <a href="#comment-11507">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11507" class="permalink" rel="bookmark">Hi
 Recently,I have recived</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi<br />
 Recently,I have recived a new version package of Tor Browser via Email (<a href="mailto:gettor@torproject.org" rel="nofollow">gettor@torproject.org</a>) ,I want to know if it is true and can I trust it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11601"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11601" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 11, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11507" class="permalink" rel="bookmark">Hi
 Recently,I have recived</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11601">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11601" class="permalink" rel="bookmark">Does the Tor Project send</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does the Tor Project send the TBB via email? </p>
<p>From that address?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11607"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11607" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">September 12, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11601" class="permalink" rel="bookmark">Does the Tor Project send</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11607">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11607" class="permalink" rel="bookmark">Yes. See</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes. See <a href="https://www.torproject.org/docs/faq#GetTor" rel="nofollow">https://www.torproject.org/docs/faq#GetTor</a></p>
<p>As for how to verify it, the best way is to check the GPG signature that we mail along with TBB. See <a href="https://www.torproject.org/docs/verifying-signatures.html.en" rel="nofollow">https://www.torproject.org/docs/verifying-signatures.html.en</a></p>
<p>But that process is really hard for Windows users, so we're working on instructions that are easier (though probably not as thorough).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-11530"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11530" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 08, 2011</p>
    </div>
    <a href="#comment-11530">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11530" class="permalink" rel="bookmark">Hi Ho
Why there is someone</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi Ho</p>
<p>Why there is someone want to have certificate? Maybe all THEY want is to sniff or eve drops on TOR or relates *.0rg and *.c0m.</p>
<p>Maybe to find Who Is Who by scanning all new TOR user?</p>
<p>I really really afraid if my TOR is snnniffeeed by some-GROUP-for-RELIGIOIN-war??</p>
<p>maybe after all?? fantasy rules..</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11762"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11762" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 18, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11530" class="permalink" rel="bookmark">Hi Ho
Why there is someone</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11762">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11762" class="permalink" rel="bookmark">Ok, first question: who TF</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ok, first question: who TF are you? </p>
<p>they looked some who is ali sina? this is islamic hackers.</p>
<p>Ok, second question: who TF are you?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11660"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11660" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 15, 2011</p>
    </div>
    <a href="#comment-11660">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11660" class="permalink" rel="bookmark">OK, I hope one of you will</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>OK, I hope one of you will take pity on a novice and try to put this topic into a simpler context. I've been trying to force my decidedly middle aged brain into learning more about computer security. A couple of days ago I stumbled upon the CA's in my Firefox settings. I would have likely skipped right on by, but the 1st one was in Turkish which seemed rather bizarre. In a prior life I was a Turkish linguist that's why I noticed. I then ended up researching Ca's till I hit this article.</p>
<p>Can you tell me what this means/suggests/implies/compels me to do? I currently live in Asia, use a Mac, and have a family that does lots of emailing, shopping on Amazon and ebay, etc. Should the CA's mentioned be revoked? Further researched, etc.</p>
<p>And while I mooching your expertise another favor? I'm trying to decide which Tor/add-ons/competitors I should run. I need to balance more privacy with the acceptance that I'm no skilled computer type. I'm trying to get better, but who knows.</p>
<p>Anyway, thanks in advance!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11774"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11774" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 18, 2011</p>
    </div>
    <a href="#comment-11774">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11774" class="permalink" rel="bookmark">salam,agar kasi hast k</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>salam,agar kasi hast k betone javabe mano bede lotsan saritar javab bede,man chetori bayad narmafzare toro dashte basham va azash estefade konam??</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-11858"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11858" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 24, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-11774" class="permalink" rel="bookmark">salam,agar kasi hast k</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-11858">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11858" class="permalink" rel="bookmark">az ghesmate download</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>az ghesmate download download kon!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-11857"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11857" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 24, 2011</p>
    </div>
    <a href="#comment-11857">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11857" class="permalink" rel="bookmark">hi all,unfortunately I cant</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi all,unfortunately I cant open any youtube clips! because I have to install mozilla browser and after that when i download adobe flash player i get a fail message.is tore works only by Mozilla?i have internet explorer too and i want to surf with that!<br />
plese help me!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12652"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12652" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 13, 2011</p>
    </div>
    <a href="#comment-12652">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12652" class="permalink" rel="bookmark">bebakhshidkasi hast bege</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>bebakhshidkasi hast bege cetori mishe ba tor kar kard? man downlodesh kardam nemidona chetori bahash kr konam!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12993"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12993" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 04, 2011</p>
    </div>
    <a href="#comment-12993">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12993" class="permalink" rel="bookmark">Do you have problem with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Do you have problem with flash installing ,my TOR does not install flash! how can I use media player or other medias?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15849"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15849" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 31, 2012</p>
    </div>
    <a href="#comment-15849">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15849" class="permalink" rel="bookmark">http://www.youtube.com/watch?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://www.youtube.com/watch?v=Z7Wl2FW2TcA&amp;t=5m16s" rel="nofollow">http://www.youtube.com/watch?v=Z7Wl2FW2TcA&amp;t=5m16s</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
